## AgsApplySoundConfig

AgsApplySoundConfig — apply sound config

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsApplySoundConfig * | ags_apply_sound_config_new ()

## Properties

char * | config-data | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsApplySoundConfig

## Includes

    #include <ags/audio/task/ags_apply_sound_config.h>

## Description

The AgsApplySoundConfig task apply the specified sound config.

## Functions

### ags_apply_sound_config_new ()

    AgsApplySoundConfig *
    ags_apply_sound_config_new (gchar *config_data);

Creates a new instance of AgsApplySoundConfig.

#### Parameters

config_data | the config file as string data |

#### Returns

the new AgsApplySoundConfig.

Since: 3.0.0

## Property Details

### The `“config-data”` property

      “config-data”              char *

The assigned sound config data as string.

Owner: AgsApplySoundConfig

Flags: Read / Write

Default value: NULL

Since: 3.0.0